Remove context items
curl --request DELETE \
--url https://api.example.com/talk2data/chat/sessions/{session_id}/context \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-project-id: <x-project-id>' \
--data '
{
"items": [
{
"resource_uri": "<string>"
}
]
}
'import requests
url = "https://api.example.com/talk2data/chat/sessions/{session_id}/context"
payload = { "items": [{ "resource_uri": "<string>" }] }
headers = {
"x-project-id": "<x-project-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'x-project-id': '<x-project-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({items: [{resource_uri: '<string>'}]})
};
fetch('https://api.example.com/talk2data/chat/sessions/{session_id}/context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"datasources": [
{
"resource_uri": "<string>",
"datasource_name": "<string>",
"type": "datasource",
"datasource_type": "database",
"datasource_description": "<string>",
"created_at": "<string>",
"selected_schemas": [
{
"schema_name": "<string>",
"schema_fqn": "<string>",
"selected_tables": [
{
"table_name": "<string>",
"table_fqn": "<string>"
}
]
}
]
}
],
"artifacts": [
{
"resource_uri": "<string>",
"artifact_type": "<string>",
"artifact_title": "<string>",
"created_at": "<string>"
}
],
"attachments": [
{
"resource_uri": "<string>",
"filename": "<string>",
"content_type": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}chat-sessions
Remove context items
Remove one or more context items by (item_type, resource_uri). Returns the full updated context. 403 if not owned, 404 if not found.
DELETE
/
talk2data
/
chat
/
sessions
/
{session_id}
/
context
Remove context items
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Project identifier
Path Parameters
Session ID
Body
application/json
Remove one or more context items from a session (DELETE .../context).
Minimum array length:
1Show child attributes
Show child attributes
Was this page helpful?
⌘I

